## List models I can call

### cURL

```
curl --request GET \
  --url https://app.barndoor.ai/api/llm-gateway/user/models \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://app.barndoor.ai/api/llm-gateway/user/models"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.barndoor.ai/api/llm-gateway/user/models', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/user/models",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://app.barndoor.ai/api/llm-gateway/user/models"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/user/models")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://app.barndoor.ai/api/llm-gateway/user/models")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Format

```json
{
  "models": [
    {
      "model_alias": "<string>",
      "upstream_model": "<string>",
      "provider_name": "<string>",
      "provider_id": "<string>",
      "display_model": "<string>",
      "is_grouped": true,
      "model_kind": "<string>",
      "smart_slots": [
        {
          "label": "<string>",
          "model_alias": "<string>"
        }
      ],
      "budget_status": {
        "scope": "org",
        "target_id": "<string>",
        "budget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "budget_name": "<string>",
        "period": "monthly",
        "usage": 123,
        "limit": 123
      }
    }
  ],
  "model_count": 123
}
```

#### Authorizations
**Authorization**
- Type: `string`
- Location: `header`
- Required: Yes
- Description: JWT obtained through Barndoor's authentication flow. Pass the token verbatim in `Authorization: Bearer <token>`. Use the Barndoor SDK's `loginInteractive()` helper to obtain a token in scripts and notebooks.

#### Response
- Status: **200** - `application/json`
- Description: Models available to the caller.

#### Attributes
- `models`: An array of objects containing model details.
- `model_count`: An integer for the count of models.
